<template>
  <section>
    <div class="c-content">
      <div class="container">
        <div class="row">
          <div class="col-md-5 image-container">
            <!-- carousel if product images > 1 -->
            <img v-if="product.images == null || product.images.length == 0" style="width:200px; height:200px;" src="~static/img/placeholder.png" alt="Gambar Produk">
            <img v-else style="width:200px; height:200px;" :src="'backend-coba.sikatan.net/image/' + product.images[0].filename" alt="Gambar Produk">

          </div>
          <div class="col">

            <p class="product_name"><strong>{{ product.name }}</strong></p>

            <p class="product_price" v-if=" product.price.price_zone_A != '' ">
              Setoran:<br>Rp. {{ product.price.price_zone_A }} /bulan
            </p>
            <p class="product_price" v-else>
              Setoran:<br>Rp. 0 /bulan
            </p>
            <hr align="left">

            <div class="prod_detail">
              <p>Kode Produk: {{ product.code }}</p>
              <p>Stok: {{ product.stock }} unit</p>
            </div>
            <hr align="left">

            <p>
              <strong>Deskripsi:</strong><br>
              {{ product.description }}
            </p>
            <div class="tags">
              <span class="status badge active-badge" v-if="product.is_active=='1'">active</span>
              <span class="status badge deleted-badge" v-if="product.is_deleted=='1'">deleted</span>
              <span class="status badge draft-badge" v-if="product.is_draft=='1'">draft</span>
            </div>
            <br>
            <div>
              <strong>Spesifikasi:</strong><br>
              <p>{{ product.specs }}</p>
              <table>
                <tr>
                  <td>Berat</td>
                  <td>: {{product.weight}}</td>
                </tr>
                <tr>
                  <td>Panjang</td>
                  <td>: {{product.length}}</td>
                </tr>
                <tr>
                  <td>Lebar</td>
                  <td>: {{product.width}}</td>
                </tr>
                <tr>
                  <td>Tinggi</td>
                  <td>: {{product.height}}</td>
                </tr>
              </table>
              <br>
            </div>
            <div>
              <strong>Status: </strong>
              <span v-if="product.status == 0">Unlimited</span>
              <span v-else-if="product.status == 1">Limited (Stok: {{product.stok}} pcs)</span>
              <span v-else-if="product.status == 2">Discontinue</span>
              <span v-else-if="product.status == 3">Dropship</span>
            </div>
            <br>

            <Button class="btn-sm" :onClick="back">BACK</Button>

          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import Button from '~/components/Button.vue'
import Container from '~/components/Container.vue'
import axios from 'axios'

export default {
  layout: 'dashboard',
  data() {
    return {}
  },
  fetch ({ store , params }) {
    return store.dispatch('product/FETCH_PRODUCT_BY_ID', params.id )
  },
  components: {
    Button,
    Container
  },
  computed: {
    product () { return this.$store.state.product.active }
  },
  methods: {
    back () {
      this.$router.push({ 'path': this.$store.state.product.prevPage })
    }
  }
}
</script>

<style>

.button-wrapper Button {
  width: 300px;
}

.image-container {
  justify-content: center;
  position: relative;
}

.image-container * {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

hr {
  width: 75%;
  height: 1px;
}

.product_price {
  color: var(--orange)
}

.prod_detail {
  font-size: 12px;
}

.deleted-badge {
    background-color: var(--grey);
    font-family: 'Nunito', sans-serif;
    font-weight: 100;
    color: white
  }

  .active-badge {
    background-color: var(--green);
    font-family: 'Nunito', sans-serif;
    font-weight: 100;
    color: white
  }

  .draft-badge {
    background-color: var(--orange);
    font-family: 'Nunito', sans-serif;
    font-weight: 100;
    color: white
  }

  ul {
    list-style-type: none;
  }
</style>
